Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class StandardDescriptorProcessor

    java.lang.Object
      org.eclipse.jetty.webapp.IterativeDescriptorProcessor
          org.eclipse.jetty.webapp.StandardDescriptorProcessor

All Implemented Interfaces:
  DescriptorProcessor

    public class StandardDescriptorProcessor

extends IterativeDescriptorProcessor

StandardDescriptorProcessor Process a web.xml, web-defaults.xml, web-overrides.xml, web-fragment.xml.

Field Summary
`static java.lang.String` | `STANDARD_PROCESSOR`

Fields inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor
`__signature, _visitors`

Constructor Summary
`StandardDescriptorProcessor()`

Method Summary
`protected void` | `addFilterMapping(java.lang.String filterName, XmlParser.Node node, WebAppContext context)`
`protected void` | `addServletMapping(java.lang.String servletName, XmlParser.Node node, WebAppContext context)`
`protected void` | `addWelcomeFiles(WebAppContext context, XmlParser.Node node)`
`void` | `end(WebAppContext context, Descriptor descriptor)`
`protected java.lang.String` | `getSystemClassPath(WebAppContext context)` Generate the classpath (as a string) of all classloaders above the webapp's classloader.
`protected java.util.EventListener` | `newListenerInstance(WebAppContext context, java.lang.Class<? extends java.util.EventListener> clazz)`
`protected java.lang.String` | `normalizePattern(java.lang.String p)`
`void` | `start(WebAppContext context, Descriptor descriptor)`
`void` | `visitContextParam(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitDisplayName(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitDistributable(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitErrorPage(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitFilter(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitFilterMapping(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitJspConfig(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitListener(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitLocaleEncodingList(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitLoginConfig(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitMimeMapping(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitSecurityConstraint(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitSecurityRole(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitServlet(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitServletMapping(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitSessionConfig(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitTagLib(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` | `visitWelcomeFileList(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`

Methods inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor
`process, registerVisitor, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARD_PROCESSOR

    public static final java.lang.String STANDARD_PROCESSOR

See Also:
  Constant Field Values

Constructor Detail

### StandardDescriptorProcessor

    public StandardDescriptorProcessor()

Method Detail

### start

    public void start(WebAppContext context,
                      Descriptor descriptor)

  Specified by:
    `start` in class `IterativeDescriptorProcessor`
  See Also:
    `org.eclipse.jetty.webapp.IterativeDescriptorProcessor#start()`

### end

    public void end(WebAppContext context,
                    Descriptor descriptor)

  Specified by:
    `end` in class `IterativeDescriptorProcessor`
  See Also:
    `org.eclipse.jetty.webapp.IterativeDescriptorProcessor#end()`

### visitContextParam

    public void visitContextParam(WebAppContext context,
                                  Descriptor descriptor,
                                  XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitDisplayName

    protected void visitDisplayName(WebAppContext context,
                                    Descriptor descriptor,
                                    XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitServlet

    protected void visitServlet(WebAppContext context,
                                Descriptor descriptor,
                                XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitServletMapping

    protected void visitServletMapping(WebAppContext context,
                                       Descriptor descriptor,
                                       XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitSessionConfig

    protected void visitSessionConfig(WebAppContext context,
                                      Descriptor descriptor,
                                      XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitMimeMapping

    protected void visitMimeMapping(WebAppContext context,
                                    Descriptor descriptor,
                                    XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitWelcomeFileList

    protected void visitWelcomeFileList(WebAppContext context,
                                        Descriptor descriptor,
                                        XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitLocaleEncodingList

    protected void visitLocaleEncodingList(WebAppContext context,
                                           Descriptor descriptor,
                                           XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitErrorPage

    protected void visitErrorPage(WebAppContext context,
                                  Descriptor descriptor,
                                  XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### addWelcomeFiles

    protected void addWelcomeFiles(WebAppContext context,
                                   XmlParser.Node node)

  Parameters:
    `context` -
    `node` -

### addServletMapping

    protected void addServletMapping(java.lang.String servletName,
                                     XmlParser.Node node,
                                     WebAppContext context)

  Parameters:
    `servletName` -
    `node` -
    `context` -

### addFilterMapping

    protected void addFilterMapping(java.lang.String filterName,
                                    XmlParser.Node node,
                                    WebAppContext context)

  Parameters:
    `filterName` -
    `node` -
    `context` -

### visitTagLib

    protected void visitTagLib(WebAppContext context,
                               Descriptor descriptor,
                               XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitJspConfig

    protected void visitJspConfig(WebAppContext context,
                                  Descriptor descriptor,
                                  XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitSecurityConstraint

    protected void visitSecurityConstraint(WebAppContext context,
                                           Descriptor descriptor,
                                           XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitLoginConfig

    protected void visitLoginConfig(WebAppContext context,
                                    Descriptor descriptor,
                                    XmlParser.Node node)
                             throws java.lang.Exception

  Parameters:
    `context` -
    `descriptor` -
    `node` -
  Throws:
    `java.lang.Exception`

### visitSecurityRole

    protected void visitSecurityRole(WebAppContext context,
                                     Descriptor descriptor,
                                     XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitFilter

    protected void visitFilter(WebAppContext context,
                               Descriptor descriptor,
                               XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitFilterMapping

    protected void visitFilterMapping(WebAppContext context,
                                      Descriptor descriptor,
                                      XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitListener

    protected void visitListener(WebAppContext context,
                                 Descriptor descriptor,
                                 XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### visitDistributable

    protected void visitDistributable(WebAppContext context,
                                      Descriptor descriptor,
                                      XmlParser.Node node)

  Parameters:
    `context` -
    `descriptor` -
    `node` -

### newListenerInstance

    protected java.util.EventListener newListenerInstance(WebAppContext context,
                                                          java.lang.Class<? extends java.util.EventListener> clazz)
                                                   throws ServletException,
                                                          java.lang.InstantiationException,
                                                          java.lang.IllegalAccessException

  Parameters:
    `context` -
    `clazz` -
  Returns:
  Throws:
    `ServletException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### normalizePattern

    protected java.lang.String normalizePattern(java.lang.String p)

  Parameters:
    `p` -
  Returns:

### getSystemClassPath

    protected java.lang.String getSystemClassPath(WebAppContext context)

  Generate the classpath (as a string) of all classloaders above the webapp's classloader. This is primarily used for jasper.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.